slartv.f(3)

NAME
slartv.f -

SYNOPSIS

  Functions/Subroutines
subroutine slartv (N, X, INCX, Y, INCY, C, S, INCC)
SLARTV applies a vector of plane rotations with real cosines and real sines to the elements of a pair of vectors.

Function/Subroutine Documentation

  subroutine slartv (integerN, real, dimension( * )X, integerINCX, real, dimension( * )Y, integerINCY, real, dimension( * )C, real, dimension( * )S, integerINCC)

Purpose:

     SLARTV applies a vector of real plane rotations to elements of the
     real vectors x and y. For i = 1,2,...,n
        ( x(i) ) := (  c(i)  s(i) ) ( x(i) )
        ( y(i) )    ( -s(i)  c(i) ) ( y(i) )

Parameters:
    N

              N is INTEGER
              The number of plane rotations to be applied.

    X

              X is REAL array,
                             dimension (1+(N-1)*INCX)
              The vector x.

    INCX

              INCX is INTEGER
              The increment between elements of X. INCX > 0.

    Y

              Y is REAL array,
                             dimension (1+(N-1)*INCY)
              The vector y.

    INCY

              INCY is INTEGER
              The increment between elements of Y. INCY > 0.

    C

              C is REAL array, dimension (1+(N-1)*INCC)
              The cosines of the plane rotations.

    S

              S is REAL array, dimension (1+(N-1)*INCC)
              The sines of the plane rotations.

    INCC

              INCC is INTEGER
              The increment between elements of C and S. INCC > 0.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 109 of file slartv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.